Package org.apache.sysds.utils

# Enum Class Explain.ExplainType

java.lang.Object
java.lang.Enum<Explain.ExplainType>
org.apache.sysds.utils.Explain.ExplainType

All Implemented Interfaces:
  `Serializable`, `Comparable<Explain.ExplainType>`, `Constable`

Enclosing class:
  Explain

public static enum Explain.ExplainType extends Enum<Explain.ExplainType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CODEGEN`
`CODEGEN_RECOMPILE`
`HOPS`
`NONE`
`RECOMPILE_HOPS`
`RECOMPILE_RUNTIME`
`RUNTIME`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCodegenType()`
`boolean`
`isHopsType(boolean recompile)`
`boolean`
`isRuntimeType(boolean recompile)`
`static Explain.ExplainType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Explain.ExplainType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Explain.ExplainType NONE

### HOPS

public static final Explain.ExplainType HOPS

### RUNTIME

public static final Explain.ExplainType RUNTIME

### RECOMPILE_HOPS

public static final Explain.ExplainType RECOMPILE_HOPS

### RECOMPILE_RUNTIME

public static final Explain.ExplainType RECOMPILE_RUNTIME

### CODEGEN

public static final Explain.ExplainType CODEGEN

### CODEGEN_RECOMPILE

public static final Explain.ExplainType CODEGEN_RECOMPILE

## Method Details

### values

public static Explain.ExplainType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Explain.ExplainType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isHopsType

public boolean isHopsType(boolean recompile)

### isRuntimeType

public boolean isRuntimeType(boolean recompile)

### isCodegenType

public boolean isCodegenType()